.TH TEXCLEAN 1 "3 September 1990" "UToronto"
.SH NAME
texclean \- removes LaTeX/BiBTeX/TeX generated files from the current directory
.SH SYNOPSIS
.B texclean
[
.B -i
] [
.B -f
] [
.B -n
] [
.B -q
]
.SH DESCRIPTION
.B LaTeX
and other programs in the TeX family generate a lot of intermediate
files in the current directory.  It is often hard to find and remove
these unnecessary files once the document is complete and printed.
.B texclean
uses a a set of rules to find and remove such files in the current
directory, and can be run after a document is printed to reduce
the disk space used.
.PP
The options 
.I texclean
supports are:
.TP
.B \-i
causes it to remove files interactively, like
.I rm -i
prompting with the name of every file.  If you type 'y', the file
is removed, otherwise, it is left as it is.
.TP
.B \-f
causes it to remove files forcibly, even if they are write protected
or owned by someone else (you still must have write permission to the
directory) without prompting.  This is identical to
.I rm -f.
.TP
.B \-n
causes it to echo the names of the files it would remove, but not really
do anything.  It is a good idea to run
.I texclean
with this option before running it without this option to make sure it
isn't going to remove anything valuable.
.TP
.B \-q
causes 
.I texclean
to work silently.  Usually, it echoes messages and every 
.I rm
command it executes.  With this option, it works silently except
for error messages.
.SH FILES
.I texclean
removes the following types of files:
.TP
.I *.done *.log *.aux *.bbl *.blg *.dvi *.toc *.lof *.lot \#* *~
These are all generated by LaTeX/BiBTeX/TeX/dotex.  The \#* and *~
are backup files generated by Emacs.
.PP
For all files of the form 
.I *.fig
(assumed to be files created by the 
.I fig, xfig
picture editors) or
.I *.x
(assumed to be files created with the
.I xpic
picture editor),
.I texclean
looks for and removes corresponding
.I *.tex, *.pic
and
.I *.ps
files (generated by
.I f2tex, f2ps, x2tex
or
.I x2ps.
.PP
For all files  of the form
.I *.g
(assumed to be files for
.IR tgrap ),
.I texclean
looks for and removes corresponding
.I *.tex
and
.I *.pic
files.
.PP
For all files of the form
.I *.pic,
(assumed to be input to the 
.I tpic
program,
.I texclean
looks for and removes corresponding
.I *.tex
files.
.PP
Note that it is the users responsibility to follow
the convention of suffixing 
.I tgrap
files with
.I .g,
.I xpic
files with
.I .x,
.I fig/xfig
files
with
.I .fig,
.I tpic
files with
.I .pic
and 
PostScript generated by 
.I x2ps/f2ps
with 
.I .ps
If not, it is very likely that 
.I texclean
will remove files that it should not remove. 
.B Beware.
.SH SEE ALSO
The Local Guide to LaTeX
.br
bibtex(1), latex(1), dotex(1), tpic(1), tgrap(1)
.SH AUTHOR
Written at UofT by Mark Moraes 
